/*
 * JBoss, Home of Professional Open Source
 * Copyright 2005, JBoss Inc., and individual contributors as indicated
 * by the @authors tag. See the copyright.txt in the distribution for a
 * full listing of individual contributors.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.jboss.wiki.test;

import java.io.BufferedReader;
import java.io.File;
import java.io.FileReader;
import java.io.FilenameFilter;
import java.io.IOException;

import org.jboss.wiki.plugins.HTMLTranslatorParts;
import junit.framework.Assert;
import junit.framework.TestCase;

/*
 * Created on Aug 12, 2005
 *
 * 
 */

/**
 * @author rali
 */
public class HTMLTranslatorTest extends TestCase {

    public HTMLTranslatorTest(String str) {
        super(str);
    }

    public void testParseLinks() {
        FileReader fin = null;
        HTMLTranslatorParts tr = new HTMLTranslatorParts();
        File dir = new File("../data");

        // The list of files can also be retrieved as File objects
        File[] files = null;
        // It is also possible to filter the list of returned files.
        // This example does not return any files that start with `.'.
        FilenameFilter filter = new FilenameFilter() {
            public boolean accept(File dir, String name) {
                return !name.startsWith(".");
            }
        };
        files = dir.listFiles(filter);


        try {
            for (int i = 0; i < files.length; i++) {
                File file = files[i];
                fin = new FileReader(file);
            //    System.out.println("Processing file:  " + file);
                final BufferedReader in = new BufferedReader(fin);
                int line;
                StringBuffer text = new StringBuffer();
                String parsed = "";

           //     while ((line = in.read()) != -1) {
            //        text.append((char) line);
               // }//while
                //  System.out.println(text.toString());

          //     parsed = tr.parseLinks(text.toString());
                //  System.out.println(parsed);

            }//for
        }//try


        catch (IOException e) {
            e.printStackTrace();
            Assert.assertTrue(true);
        }

    }
}
