<!-- 
  JBoss, the OpenSource J2EE webOS
  Distributable under LGPL license.
  See terms of license at gnu.org. 
 -->
 
<%@ page isELIgnored ="false" %>

<%
	String actionURL = (String)request.getAttribute("actionURL");
	String wikiName = (String)request.getAttribute("wikiName");
	String wikiContent = (String)request.getAttribute("wikiContent");
	String wikiPage = (String)request.getAttribute("wikiPage");
	String defaultPage = (String)request.getAttribute("defaultPage");
	String friendlyLink = (String)request.getAttribute("friendlyLink");
	String rssLink = (String)request.getAttribute("rssLink");
	String rdfLink = (String)request.getAttribute("rdfLink");
	String atomLink = (String)request.getAttribute("atomLink");
	String type = (String)request.getParameter("type");
	java.util.Date editDate = (java.util.Date)request.getAttribute("editDate");
	org.jboss.wiki.Credentials author = (org.jboss.wiki.Credentials)request.getAttribute("author");
	String wikiImagesUrl = (String)request.getAttribute("wikiImagesUrl");
	boolean isAdmin = ((Boolean)request.getAttribute("isAdmin")).booleanValue();
	boolean isViewable = ((Boolean)request.getAttribute("isViewable")).booleanValue();
	boolean isEditable = ((Boolean)request.getAttribute("isEditable")).booleanValue();
	boolean logedIn = ((Boolean)request.getAttribute("logedIn")).booleanValue();
%>

<table style="width: 100%" border="0">
<tr>
<td style="font-size: large">
<a href="<%=actionURL%>&page=<%=defaultPage%>"><%=wikiName%></a> : <%=wikiPage%> 
</td>
<td style="text-align: right;">
<a href="<%=actionURL%>&type=recentChanges"><img alt="Recent Changes" src="<%=wikiImagesUrl%>recentChanges.gif" border="0" /></a>
<a href="<%=actionURL%>&page=<%=defaultPage%>"><img alt="<%=defaultPage%>" src="<%=wikiImagesUrl%>main.gif" border="0" /></a>
</td>
</table>

<!--<a href="<%=actionURL%>&page=<%=defaultPage%>"><%=defaultPage%></a><br />-->

<form method="post" action="<%=actionURL%>&type=find">
<table style="width: 100%" border="0">
<tr style="vertical-align: bottom;">
<td style="vertical-align: bottom; align-bottom: 0px;">
<div><a href="<%=friendlyLink%>"><img  style="vertical-align: middle" alt="PERM LINK" src="<%=wikiImagesUrl%>permaLinkButton.png" border="0"/></a> <a href="<%=friendlyLink%>"><%=friendlyLink%></a> </div>

</td>
<td style="text-align: right;vertical-align: bottom; align-bottom: 0px;">

<%


	if ((type == null)||(type.equals("HTML"))) {
		if ((isAdmin)||((logedIn)&&(isEditable)&&(isViewable))) {
			out.print("<a href=\""+actionURL+"&action=Edit&page="+wikiPage+"\"><img alt=\"EDIT\" src=\""+wikiImagesUrl+"editButton.png\" border=\"0\" /></a>\n"+
					  "<a href=\""+actionURL+"&action=Attach&page="+wikiPage+"\"><img alt=\"ATTACH\" src=\""+wikiImagesUrl+"attachButton.png\" border=\"0\" /></a>");
	
		}
		else if (logedIn) {
			out.print("<div style='font-size: xx-small'><i>This page IS NOT editable</i></div>");
		}
		else {
			out.print("<div style='font-size: xx-small'><i>Login to edit pages and attach files</i></div>");
		}
	}

%>

<%
if (((type == null)||(type.equals("HTML")))&&((isAdmin)||(isViewable))) {
 out.println("<a href=\""+actionURL+"&action=Info&page="+wikiPage+"\"><img alt=\"HISTORY\" src=\""+wikiImagesUrl+"historyButton.png\" border=\"0\" /></a>");
 out.println("<a href=\""+rssLink+"\"><img alt=\"RSS\" src=\""+wikiImagesUrl+"RSSButton.gif\" border=\"0\" /></a>");
 out.println("<a href=\""+rdfLink+"\"><img alt=\"RSS\" src=\""+wikiImagesUrl+"RDFButton.gif\" border=\"0\" /></a>");
 out.println("<a href=\""+atomLink+"\"><img alt=\"RSS\" src=\""+wikiImagesUrl+"ATOMButton.gif\" border=\"0\" /></a><br />");
 }
 %>
<input type="text" name="searchQuery" />
<input type="submit" value="SEARCH" />
</td>
</tr>
</table>
</form>

<hr />

<%
	String attachFile = (String)request.getAttribute("fileAttach");
	
	if (((isEditable)||(isAdmin))&&(attachFile != null)&&(attachFile.equals("true"))) {
		out.println("<h2><b>UPLOAD FILE:</b></h2>\n"+
					"<FORM ACTION=\""+actionURL+"&page="+wikiPage+"\" METHOD=\"POST\" ENCTYPE=\"multipart/form-data\">"+
					"<INPUT TYPE=\"file\" NAME=\"file_up\" />"+
					"<INPUT TYPE=\"submit\" VALUE=\"Upload\" />"+
					"</FORM><hr />");
	}
%>

<%
	Integer showedVersion = (Integer)request.getAttribute("showedVersion");
	
	if (showedVersion != null) {
		out.println("<table style='border-style: dashed; text-align: center; margin-left: auto; margin-right:auto; border-color: red'>"+
					"<tr><td>This is <b>version  "+showedVersion+"</b> of page "+wikiPage+".<br>"+
					"You can go back to <a href='"+actionURL+"&page="+wikiPage+"'>latest version</a> or ");
		
		if (logedIn) {
			out.println("<a href='"+actionURL+"&action=Edit&page="+wikiPage+"&version="+showedVersion+"'>rollback this version</a>");
		}
		else {
			out.println("<i>rollback this version (after login)</i>");
		}
	
		out.println("</td></tr></table>");
	}
%>

<%
	String errorMsg = (String)request.getAttribute("errorMsg");
	
	if (errorMsg != null) {
		out.println("<table style='border-style: dashed; text-align: center; margin-left: auto; margin-right:auto; border-color: red'>");
		out.println("<tr><td>"+errorMsg+"</td></tr>");
		out.println("</table>");	
	}
%>

<table style="width: 100%; margin: 0px; padding: 0px;">
<tr style="width: 100%; margin: 0px; padding: 0px;">

<td style="width: 100%; margin: 0px; padding: 0px;"><%=wikiContent%><td>
</tr>
<tr>
<td class="wikiFooter">
<hr />



<!--<a href="<%=actionURL%>&action=Info&page=<%=wikiPage%>">More info...</a> <a href="<%=actionURL%>&action=Attach">Attach file...</a>-->
</td>
</tr>
</table>
<br />

<%
if ((type == null)||(type.equals("HTML"))) {
	out.println("<div>The page last changed on "+editDate+" by "+author+". </div>");
}
%>

